# BEGIN SourceDeps(oneline):
BuildRequires: perl(ExtUtils/MakeMaker.pm) perl(JSON.pm) perl(Log/Log4perl.pm) perl(Moose.pm) perl(MooseX/Getopt.pm) perl(SQS/Worker.pm) perl(Test/Output.pm) perl(Test/Spec.pm) perl(namespace/autoclean.pm)
# END SourceDeps(oneline)
%define module_name CloudCron-Worker
%define _unpackaged_files_terminate_build 1
BuildRequires: rpm-build-perl perl-devel perl-podlators

Name: perl-%module_name
Version: 0.02
Release: alt1
Summary: A worker process for CloudCron
Group: Development/Perl
License: apache
Url: %CPAN %module_name

Source0: http://mirror.yandex.ru/mirrors/cpan/authors/id/J/JL/JLMARTIN/%{module_name}-%{version}.tar.gz
BuildArch: noarch

%description
This module provides `cloudcron-worker'

You can find documentation for it in GitHub: https://github.com/capside/CloudCron

%package scripts
Summary: %module_name scripts
Group: Development/Perl
Requires: %name = %{?epoch:%epoch:}%version-%release

%description scripts
scripts for %module_name
%prep
%setup -q -n %{module_name}-%{version}

%build
%perl_vendor_build

%install
%perl_vendor_install

%files
%doc LICENSE
%perl_vendor_privlib/C*

%files scripts
%_bindir/*

%changelog
* Mon Aug 28 2017 Igor Vlasenko <viy@altlinux.ru> 0.02-alt1
- initial import by package builder

